 %------------------------------------------------------------------
 %    Equilibrage Harmonique    
 %    
 %    La function L est generique, elle est la meme pour tous
 %    les systemes traites
 
function [L] = L(obj,U,H,Neq)

  H = obj.H;                                         % nombre d'harmoniques
  Neq = obj.Neq;                                       % nombre d'equations
  mu = 0.1;                                 %Coefficient d'amortissement
  ome0 = 1;                                        %Puslation propre
  indc= Neq+1  :2*Neq:Neq*(2*H-1)+1;     % index des petits vecteurs  uic 
  inds= 2*Neq+1:2*Neq:Neq*(2*H)+1;     % index des petits vecteurs  uis 

  L=zeros(Neq*(2*H+1),1);
  
 % Equations issues de l'Equilibrage Harmonique
     L(1:Neq)=pL(U(1:Neq),mu,ome0);
  for i=1:H    
     L(Neq+2*(i-1)*Neq+1:2*Neq+2*(i-1)*Neq)  =pL(U(indc(i):indc(i)+Neq-1),mu,ome0);
     L(2*Neq+2*(i-1)*Neq+1:3*Neq+2*(i-1)*Neq)=pL(U(inds(i):inds(i)+Neq-1),mu,ome0);
  end

end
 %------------------------------------------------------------------
 %    
 %    La function pL0 est specifique au pb traite
 %    
 %    Oscillateur de Duffing
 
 function [pL] = pL(U,mu,ome0)

  pL=zeros(3,1);
  
  pL(1)=  U(2);      
  pL(2)= -ome0^2*U(1) - mu*U(2);
  pL(3)=  U(3);
  
 end


  
