% Linear big operator bL(bU)
% with harmonic balance automatic computation of bL(bU)
 
function [L] = L(obj,U,H,Neq)

% ============================================================
% Harmonic balance automatic computation of bL(bU)
% which depends on pL0 
%
% Modifies only the call to pl0 to include the user parameters
% Lines marked with <--
% ============================================================

indc=[Neq+1  :2*Neq:Neq*(2*H-1)+1];     % index of  uic 
inds=[2*Neq+1:2*Neq:Neq*(2*H)+1  ];     % index of  uis 

L=zeros(Neq*(2*H+1)+1,1);
 
%  L depends on  pL0

L(1:Neq)=pL0(U(1:Neq));  % <--
for i=1:H    
  L(Neq+2*(i-1)*Neq+1:2*Neq+2*(i-1)*Neq)  =pL0(U(indc(i):indc(i)+Neq-1));  % <--
  L(2*Neq+2*(i-1)*Neq+1:3*Neq+2*(i-1)*Neq)=pL0(U(inds(i):inds(i)+Neq-1));  % <--
end

% Phase equation
L(Neq*(2*H+1)+1)=U(2*Neq+1) ;

% =============================================================================

% -------------------------------------------
% Function pl0, specific to the given problem
% -------------------------------------------
 
function [pL0] = pL0(U)

pL=zeros(3,1);
  
pL0(1)= U(2);      
pL0(2)= 0;
pL0(3)= U(3);

