 %------------------------------------------------------------------
 %    Equilibrage Harmonique    
 %    
 %    La function L est generique, elle est la meme pour tous
 %    les systemes traites
 
function [L] = L(obj,U,H,Neq)

  H=obj.H;                            % nombre d'harmoniques
  Neq=obj.Neq;                        % nombre d'equations

  indc=[Neq+1  :2*Neq:Neq*(2*H-1)+1];     % index des petits vecteurs  uic 
  inds=[2*Neq+1:2*Neq:Neq*(2*H)+1  ];     % index des petits vecteurs  uis 

  L=zeros(Neq*(2*H+1),1);
  
 % Equations issues de l'Equilibrage Harmonique
     L(1:Neq)=pL(obj,U(1:Neq));
  for i=1:H    
     L(Neq+2*(i-1)*Neq+1:2*Neq+2*(i-1)*Neq)  =pL(obj,U(indc(i):indc(i)+Neq-1));
     L(2*Neq+2*(i-1)*Neq+1:3*Neq+2*(i-1)*Neq)=pL(obj,U(inds(i):inds(i)+Neq-1));
  end

 %------------------------------------------------------------------
 %    
 %    La function pL est specifique au pb traite
 %    
 %    la plaque MEMS
 
function [pL] = pL(obj,U)


Neq = obj.Neq;                % Nombre d'equations pour chaque harmonique
XI = obj.XI;                  % Facteurs d'amortissement

K=length(XI);
OMEG=(pi*((1:K)')).^2;
pL=zeros(Neq,1);

Q=U(1:K);
V=U(K+1:2*K);
N=U(2*K+1);

% 1ere equation
pL(1:K)=V;
% 2e equation
pL((K+1):(2*K))=-2*XI.*OMEG.*V-OMEG.^2.*Q;
% 3e equation
pL(2*K+1)=-N;


