!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!     File 'jacobien.f90'  for MANLAB using HBM              !!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
!     Forced Duffing Oscillator  : Jacobian matrices J0, JL and JQ
!
!     S. Karkar
!     Oct 2010
!



module jacobien

  use petits_operateurs
  implicit none

contains
  function J0(lambda,omega)
    real(8), intent(in) :: lambda, omega
    integer i
    complex(8) J0(nbddl,nbddl)
    J0=0d0
    do i=1,K
       J0(i,i+K)=1d0
       J0(i+K,i)=-OMEG(i)**2
       J0(i+K,i+K)=-2*XI(i)*OMEG(i)
    end do
  end function J0

  function JL(lambda,omega,Ustab)
    real(8), intent(in) :: lambda, omega
    integer i
    complex(8), intent(in) :: Ustab(nbddl)
    complex(8) JL(nbddl,nbddl)
    JL=0d0
    do i=1,K
       JL(K+i,i)=-epsil*Ustab(K+1)*(pi**2)*(i**2)
    end do
    
  end function JL

  function JQ(lambda,omega,Ustab,Vstab)
    real(8), intent(in) :: lambda, omega
    integer i,j
    complex(8), intent(in) :: Ustab(nbddl), Vstab(nbddl)
    complex(8) JQ(nbddl,nbddl)
    JQ=0d0
    do i=1,K
       do j=1,k
          JQ(K+i,j)=-2*(pi**4)*epsil*(i**2)*(j**2)*Ustab(i)*Vstab(j)
       end do
    end do
    
  end function JQ

end module jacobien
