function [] = disp(obj,U,Ustab)
%bar(U);
%Reconstruction du cycle limite
H=obj.H;
Neq=obj.Neq;
T=2*pi/U(end);
temps=0:0.001*T:T;

VectCos=zeros(H,length(temps));
VectSin=zeros(H,length(temps));
for j=1:H,
VectCos(j,:) = cos(j*U(end)*temps);
VectSin(j,:) = sin(j*U(end)*temps);
end;

cycle_u= U(Neq+1:2*Neq:(2*H-1)*Neq+1)'*VectCos + U(2*Neq+1:2*Neq:(2*H)*Neq+1)'*VectSin;
%cycle_u=sum(cycle_u,1);

cycle_v= -U(end)*(1:H).*U(Neq+1:2*Neq:(2*H-1)*Neq+1)'*VectSin + U(end)*(1:H).*U(2*Neq+1:2*Neq:(2*H)*Neq+1)'*VectCos;
%cycle_v=sum(cycle_v,1);

% Comparaison avec la solution ODE
[temps_ode cycle_u_ode] =  my_vdpode(U(end-1),[cycle_u(1) cycle_v(1)],temps);


hh=figure(3);set(hh,'Position',[1,1,1000,800]);
subplot(2,1,1)
plot(temps,cycle_u,'b',temps_ode,cycle_u_ode(:,1),'r');
title(['One period of the unknown u in the time domain'],'Fontsize',16)
xlabel('time (s)'):ylabel('u');legend(['Solution with ' num2str(H) ' harmonics'],['Solution from time domain ODE-solver'],'Location','SouthEast');grid on;

subplot(2,1,2);
plot(cycle_u,cycle_v,'b',cycle_u_ode(:,1),cycle_u_ode(:,2),'r');
title(['Attractor in the phase space (u,v=u'')'], 'FontSize',16);
xlabel('u'):ylabel('v=u''');legend(['Solution with ' num2str(H) ' harmonics'],['Solution from time domain ODE-solver'],'Location','SouthEast');grid on;

figure(3);ax=axis;text(ax(1)-0.05*abs(abs(ax(2))+abs(ax(1))),ax(4)+1.55*abs(abs(ax(4))+abs(ax(3))),['Van der Pol oscillator (\lambda =' num2str(U(end-1)) '): comparison between harmonic balance (H=',num2str(H),') and time domain simulation'],'FontSize',16,'FontWeight','Bold')
