function [] = disp(obj,U,Ustab)


H=obj.H;
Xtickstr=cell(1,H*2+1);
Xtickstr{1}='H0';
for ii=1:H
  Xtickstr{2*ii}=['H',num2str(ii),'c'];
  Xtickstr{2*ii+1}=['H',num2str(ii),'s'];
end
%Xtickstr
figure(3)
bar(U(1:3:(2*H+1)*3));
set(gca,'XtickLabel',Xtickstr)

return

%
HH = obj.H;
%
% On regarde les valeurs propres par la bote de Zhou
boxe = 0;
%
Omega = U(end);
nbddl = 2;
Ueig = Ustab(1+nbddl+(nbddl^2)*(2*HH+1)+1:end);
size(Ustab)
%
figure(3)
hold off, box on
plot(real(Ueig),imag(Ueig),'o');
%plot(real(Ueig(1:nbddl)),imag(Ueig(1:nbddl)),'o');
hold on
plot(real(Ueig(1:nbddl)),imag(Ueig(1:nbddl)),'+','MarkerSize',5);

if boxe == 1
    plot([-0.03 0.03],[0 0],'--k',[0 0],[-Omega/2 Omega/2],'--k');
    plot([-0.03 0.03],[-Omega/2 -Omega/2],'r',[0.03 0.03],[-Omega/2 Omega/2],'r');
    plot([0.03 -0.03],[Omega/2 Omega/2],'r',[-0.03 -0.03],[Omega/2 -Omega/2],'r');
    axis([-0.03-0.01 0.03+0.01 -Omega/2-0.01 Omega/2+0.01]);
else
    plot([-0.03 0.03],[0 0],'--k',[0 0],[-Omega/2 Omega/2],'--k');
    plot([-0.03 0.03],[-Omega/2 -Omega/2],'r',[0.03 0.03],[-Omega/2 Omega/2],'r');
    plot([0.03 -0.03],[Omega/2 Omega/2],'r',[-0.03 -0.03],[Omega/2 -Omega/2],'r');
    axis([-0.03 0.03 0 10]);
    axis 'auto y';
end
%
%
Ntot = nbddl*(2*HH+1);
Uvec = Ustab(nbddl+2:1+nbddl+(nbddl^2)*(2*HH+1));
Ueig0 = Ustab(2:nbddl+1);
%
deltat = 0.1;
N = 16384;
ttotal = N*deltat;
temps = 0:deltat:ttotal;
%
UU = zeros(nbddl,length(temps));
VV = zeros(nbddl,length(temps)); 
freq = zeros(nbddl,(2*HH+1));
harmo = zeros(1,(2*HH+1));
ampUU = zeros(nbddl,(2*HH+1));
ampVV = zeros(nbddl,(2*HH+1));
%
for mode = 1:nbddl
    for g = 1:(2*HH+1)
       jj = (g-1) - HH; 
%
%        UU(mode,:) = UU(mode,:) + exp(real(Ueig0(mode))*temps).*...
%                     real((Uvec((mode-1)*Ntot+((g-1)*nbddl+1)))*(cos((jj*...
%                     Omega + imag(Ueig0(mode)))*temps)+...
%                     i*sin((jj*Omega + imag(Ueig0(mode)))*temps)));
%        VV(mode,:) = VV(mode,:) + exp(real(Ueig0(mode))*temps).*...
%                     real((Uvec((mode-1)*Ntot+((g-1)*nbddl+2)))*(cos((jj*...
%                     Omega + imag(Ueig0(mode)))*temps)+...
%                     i*sin((jj*Omega + imag(Ueig0(mode)))*temps)));  
%
% Without damping
%
       UU(mode,:) = UU(mode,:) + real((Uvec((mode-1)*Ntot+((g-1)*nbddl+1)))*(cos((jj*...
                    Omega + imag(Ueig0(mode)))*temps)+...
                    i*sin((jj*Omega + imag(Ueig0(mode)))*temps)));
       VV(mode,:) = VV(mode,:) + real((Uvec((mode-1)*Ntot+((g-1)*nbddl+2)))*(cos((jj*...
                    Omega + imag(Ueig0(mode)))*temps)+...
                    i*sin((jj*Omega + imag(Ueig0(mode)))*temps)));                  
       freq(mode,g) = imag(Ueig0(mode)) + jj*Omega;
       harmo(1,g) = jj*Omega;
       ampUU(mode,g) = abs(Uvec((mode-1)*Ntot+((g-1)*nbddl+1)));
       ampVV(mode,g) = abs(Uvec((mode-1)*Ntot+((g-1)*nbddl+2)));       
    end
end
%
%
% Fundamental solution in the phase space (u,v)
%
drawtype = ['b','r','g','c','m','y','k','b','r','g','c','m','y','k','b'];
% 
for mode = 1:nbddl;
tab1{mode,1} = sprintf('Fundamental solution number : %d', mode);
tab1{mode,2} = sprintf('UU(0) = %f', UU(mode,1));
tab1{mode,3} = sprintf('VV(0) = %f', VV(mode,1));
figure(mode+3)
plot(UU(mode,:),VV(mode,:),drawtype(mode),0,0,'ko','MarkerSize',4,'LineWidth',6)
axis equal, grid on
ylabel('v [-]');
xlabel('u [-]');
title(['Fundamental solution number' num2str(mode)])
end
%
figure(4+nbddl)
stem(freq(1,:),ampUU(1,:),drawtype(1))
hold on
stem(freq(2,:),ampUU(2,:),drawtype(2))
hold off
ylabel('Harmonic contribution');
xlabel('Harmonic');
title('Frequency spectrum of u(t)')
%
Neq = obj.Neq;
%
Usincos=U(1:Neq:(2*HH+1)*Neq);
Ucosp=Usincos(2:2:end-1);
Usinp=Usincos(3:2:end);
Ucosm=Usincos(end-1:-2:2);
Usinm=Usincos(end:-2:3);
Uamp = [abs(0.5*Ucosm+i*0.5*Usinm) ; U(1) ; abs(0.5*Ucosp-i*0.5*Usinp)];
%
figure(5+nbddl)
stem(harmo(1,:),Uamp',drawtype(nbddl+1))
ylabel('Harmonic contribution');
xlabel('Harmonic');
title('Frequency spectrum of u(t)')
%