function sys = SYS(ninc)

sys.neq = ninc-1; % total number of equations
sys.ninc = ninc;  % total number of unknowns


rand('state',0);              % Initialisation of random generator

sys.randvect = rand(1,ninc);  % random vector
sys.chemin = ones(sys.ninc,1);% default path vector (weighting function)
sys.ordre = 20;               % default ANM series order
sys.seuil = 1e-7;             % default ANM threshold
sys.itemax = 15;              % default max. iteration for N-R correction
sys.seuilcorr = 1e-8;          % default threshold for N-R correction
sys.nbptstroncon = 20;         % default sampling of portions for display



sys.Fp = rand(sys.neq,1);     % perturbation vector
sys.Fp = sys.Fp/norm(sys.Fp); % normalization
sys.cfp = 0;                  % amplitude of perturbation


sys.nech = 100;                         % time sampling for stability analysis (only for time domain algo)


sys.strinfos = ['SYS : neq=' num2str(sys.neq) ' ninc=' num2str(ninc) ];

disp(sys.strinfos);

sys = class(sys,'SYS');

