% Function that constructs the vector 'ddlstab'
% It contains only the variables needed for the computation of the Jacoian
% matrices J0, JL and JQ and their harmonics, as well as lambda and omega

function [ddlstab] = troncon_ddlstab(tron,seuil,nbptstroncon)

Amax=tron.Amax;
coefstab = zeros(tron.ordre+1,1);
stabvars = tron.stabvars;
HH = tron.HH;
    
if HH == 0
    ddlstab = zeros(nbptstroncon,tron.nbddlstab);
    
    for i=1:tron.nbddlstab+1
        istab = stabvars(i);
        
        for p=0:tron.ordre
            coefstab(p+1) = tron.Ups(istab, tron.ordre-p+1);
        end
        
        for p=1:nbptstroncon
            
            a = (p-1) / (nbptstroncon-1) * Amax;

            ddlstab(p,i) = polyval(coefstab, a);

        end
    end
        
else
    ddlstab = zeros(nbptstroncon,tron.nbddlstab*(2*HH+1)+2);
    NeqHH0 = tron.NeqHH0;
        
    for i=1:tron.nbddlstab
        istab = stabvars(i);
        
        for j = 1:(2*HH+1)
                
            for p=0:tron.ordre
                coefstab(p+1) = tron.Ups(istab + (j-1)*NeqHH0, tron.ordre-p+1);
            end
        
            for p=1:nbptstroncon
            
                a = (p-1) / (nbptstroncon-1) * Amax;

                ddlstab(p,(i+(j-1)*tron.nbddlstab)) = polyval(coefstab, a);
    
            end
        end
    end
    
    for i=1:2
        istab = stabvars(end - i);
    
        for p=0:tron.ordre
            coefstab(p+1) = tron.Ups(istab, tron.ordre-p+1);
        end
        
        for p=1:nbptstroncon
            
            a = (p-1) / (nbptstroncon-1) * Amax;

            ddlstab(p,end-(i-1)) = polyval(coefstab, a);
    
        end
    end
end
end

