!     MEX-file for MATLAB function "L0"
!     S. Karkar
!     October 2010

!     The calling arguments must be : (the_object_itself, H, Neq)

#include "fintrf_new.h"

subroutine mexFunction(nlhs, plhs, nrhs, prhs)

    use petits_operateurs
    implicit none
    integer(4) :: nlhs, nrhs, H, Neq_in, N
    mwPointer :: plhs(nlhs), prhs(nlhs)
    mwPointer :: H_pr, Neq_pr, L0_pr, mxGetPr, mxCreateDoubleMatrix
    double precision tmp

    if (nlhs /= 1) call mexErrMsgTxt('there must be exactly 1 output argument')
    if (nrhs /= 3) call mexErrMsgTxt('there must be exactly 3 input arguments.')

!     get the harmonic number H and the equation number Neq
    H_pr = mxGetPr(prhs(2))
    call mxcopyptrtoreal8(H_pr,tmp,1)
    H=int(tmp)

    Neq_pr = mxGetPr(prhs(3))
    call mxcopyptrtoreal8(Neq_pr,tmp,1)
    Neq_in=int(tmp)

    if (Neq_in /= Neq) then
        call mexErrMsgTxt('Neq not consistent with its value in Fortran sources!')
    endif

! size of the FORCED extended system
    N = Neq*(2*H+1) + 1


!     Create matrix for the return argument.
    plhs(1) = mxCreateDoubleMatrix(N-1,1,0)
    L0_pr = mxgetpr(plhs(1))

!     Call the computational subroutine on L0 with N value
    call CALCUL_L0(N,L0_pr)


    return
end subroutine mexFunction

subroutine CALCUL_L0(N,L0_pr)
 
    use petits_operateurs
    integer(4) N
    mwPointer L0_pr
    real(8) L0(N-1)

    L0 = 0d0
    L0(1:Neq) = pC0()

    ! forcing term
    L0(Neq+2) = F

! NO PHASE EQUATION


    call mxcopyreal8toptr(L0,L0_pr,N-1)

end subroutine CALCUL_L0

